
Redmine - Defect #9797

Move issue between projects fails if more than one property changed during move

2011-12-14 16:27 - Salim B

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.2

Description

*Issue opened regarding forum subject : http://www.redmine.org/boards/2/topics/27807

Issues can't be moved to another project if any other property is changed with (tracker, assignee etc.)

We're only too to reproduce this error from now, and it seems to be related to our environments : we both migrated from 0.9.x

redmine version.

- In project created after the redmine migration, I don't meet the issue.

- Actual production is in 1.1.2, but I can reproduce the error when upgrading to 1.2.2.

Feel free to ask me some testing or more logs, as soon as you tell how to get those :)

------------------------

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.4.2

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /opt/redmine-1.1.2

Environment               production

Database adapter          mysql

Database schema version   20101114115359

[root@localhost redmine-1.1.2]#

Related issues:

Is duplicate of Redmine - Defect #6859: Moving issues to a tracker with diffe... Closed 2010-11-09

History

#1 - 2011-12-14 17:06 - Etienne Massip

- Category set to Issues

#2 - 2011-12-14 17:31 - Salim B

- File DEBUG-Logs.txt added

- File Capture.PNG added

Logs and screenshot attached.

#3 - 2011-12-15 08:50 - Etienne Massip

- Affected version (unused) set to 1.2.2

- Affected version set to 1.2.2

#4 - 2011-12-15 10:55 - Stefan Halter

I can report similar behavior in our system. It works fine with newly created projects, but does not work with "old" projects. We recently upgraded

Redmine from 0.9 to. 1.2.2. Some days ago we upgraded to latest stable 1.3.

2025-05-17 1/2

http://www.redmine.org/boards/2/topics/27807


if I copy an issue from (1.3) project A to a (created under 0.9) project B = failure

if I copy an issue from (created under 0.9) project B to a (1.3) project A = works

if I copy an isuse from (1.3) project A to a (created under 1.2.2) project B = works

In each case I changed tracker and project. We really need to have this working!

#5 - 2011-12-15 11:04 - Etienne Massip

Could that be related to (mandatory?) custom fields used in each project?

#6 - 2011-12-15 11:08 - Stefan Halter

Good hint! It works perfect!

#7 - 2011-12-15 14:14 - Salim B

Stefan, what did you do exactly ?

removed custom fields or made those non mandatory ?

#8 - 2011-12-15 14:25 - Stefan Halter

I had one mandatory custom field in "Project B". After deselecting that "mandatory" box both projects (from project A to project B) have equal

requirements.

#9 - 2011-12-15 14:46 - Salim B

OK, same result here.

I managed to make it work by making 3 custom fields non-mandatory

#10 - 2011-12-15 14:52 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #6859.

Files

DEBUG-Logs.txt 52.7 KB 2011-12-14 Salim B

Capture.PNG 11.8 KB 2011-12-14 Salim B
